|
|||||||||
| Home >> All >> org >> infohazard >> maverick >> [ view overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
org.infohazard.maverick.view
Class RedirectViewFactory

java.lang.Objectorg.infohazard.maverick.view.RedirectViewFactory
- All Implemented Interfaces:
- org.infohazard.maverick.flow.ViewFactory
- public class RedirectViewFactory
- extends java.lang.Object
- implements org.infohazard.maverick.flow.ViewFactory
- extends java.lang.Object
Creates views which result in HTTP redirects.
Views will handle the model in the following way:
- If the model is a String, that is used as the base URL and the path attribute is ignored.
- If the model is a Map, the key/value pairs are converted into parameters for the target URL. This behavior is deprecated; you should use ControllerContext.setParam() instead.
Params set on the ControllerContext will become query parameters.
Redirect views cannot have transforms and have no attributes other than "path".
| Constructor Summary | |
RedirectViewFactory()
|
|
| Method Summary | |
org.infohazard.maverick.flow.View |
createView(org.jdom.Element viewNode)
Creates a specific instance of the View from the XML element in the maverick configuration file. |
void |
init(org.jdom.Element factoryNode,
javax.servlet.ServletConfig servletCfg)
The factory will be initialized with the XML element from from the maverick configuration file. |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
RedirectViewFactory
public RedirectViewFactory()
| Method Detail |
init
public void init(org.jdom.Element factoryNode, javax.servlet.ServletConfig servletCfg) throws org.infohazard.maverick.flow.ConfigException
- Description copied from interface:
org.infohazard.maverick.flow.ViewFactory - The factory will be initialized with the XML element from from the
maverick configuration file.
- Specified by:
initin interfaceorg.infohazard.maverick.flow.ViewFactory
createView
public org.infohazard.maverick.flow.View createView(org.jdom.Element viewNode) throws org.infohazard.maverick.flow.ConfigException
- Description copied from interface:
org.infohazard.maverick.flow.ViewFactory - Creates a specific instance of the View from the XML element
in the maverick configuration file.
- Specified by:
createViewin interfaceorg.infohazard.maverick.flow.ViewFactory
|
|||||||||
| Home >> All >> org >> infohazard >> maverick >> [ view overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC
org.infohazard.maverick.view.RedirectViewFactory